STOFFListManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
STOFFListManager Class Reference

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list More...

`#include <STOFFList.hxx>`

## Public Member Functions
| STOFFListManager ()
| the constructor More...
| ~STOFFListManager ()
| the destructor More...
bool | needToSend (int index, std::vector< int > &idMarkerList) const
| check if a list need to be send/resend to the interface More...
shared_ptr< STOFFList > | getList (int index) const
| returns a list with given index ( if found ) More...
shared_ptr< STOFFList > | getNewList (shared_ptr< STOFFList > actList, int levl, STOFFListLevel const &level)
| returns a new list corresponding to a list where we have a new level More...

## Protected Attributes
std::vector< STOFFList > | m_listList
| the list of created list More...
std::vector< int > | m_sendIdMarkerList
| the list of send list to interface More...

## Detailed Description

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list

## Constructor & Destructor Documentation

STOFFListManager::STOFFListManager | ( |  | ) |
| inline

the constructor

STOFFListManager::~STOFFListManager | ( |  | ) |
| inline

the destructor

## Member Function Documentation

shared_ptr< STOFFList > STOFFListManager::getList | ( | int | index | ) | const

returns a list with given index ( if found )

shared_ptr< STOFFList > STOFFListManager::getNewList | ( | shared_ptr< STOFFList > | actList,
|  | int | levl,
|  | STOFFListLevel const & | level
| ) |  |

returns a new list corresponding to a list where we have a new level

bool STOFFListManager::needToSend | ( | int | index,
|  | std::vector< int > & | idMarkerList
| ) |  | const

check if a list need to be send/resend to the interface

## Member Data Documentation

std::vector<STOFFList> STOFFListManager::m_listList
| protected

the list of created list

std::vector<int> STOFFListManager::m_sendIdMarkerList
| mutableprotected

the list of send list to interface

The documentation for this class was generated from the following files:

- STOFFList.hxx
- STOFFList.cxx